/*****************************************************************************
**  This is part of the vec2web tool
**  Copyright (C) 2000 Andrew Mustun, Causeway Technologies
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License (version 2) as
**  published by the Free Software Foundation.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/

#include <iostream>
#include <stdlib.h>
#include <stdio.h>

#include "dxflib/dl_dxf.h"

void usage ();


int main(int argc, char** argv) {
	
	// Check given arguments:
	if (argc<1) {
		usage ();
	}
	
	// Load DXF file into memory:
	else {
    std::cout << "Reading file " << argv[1] << "...\n";
		DL_Graphic graphic;
		DL_Dxf::in (argv[1], &graphic);
		std::cout << graphic;
	}
	
}



void usage () {
	std::cout << "\nUsage: demo <DXF file>\n\n";
}

// EOF
